#> Ticking Areas
tickingarea add 0 0 0 63 0 47 hub
tickingarea add 2000 0 64 2031 49 95 harassment
tickingarea add 3920 0 -16 3983 0 31 media_literacy
tickingarea add 976 0 -16 1055 0 15 plagiarism
tickingarea add 2992 0 0 3119 0 15 sharing

#> Entity Reset
tag @e[type=!player,type=!item,type=!pws:npc_2,tag=!npc] add delete

# Media Literacy
execute @e[tag=l7] ~ ~ ~ tp @s ~ 7 ~
execute @e[tag=l9] ~ ~ ~ tp @s ~ 9 ~
execute @e[tag=l10] ~ ~ ~ tp @s ~ 10 ~

# Game
kill @e[tag=scores]
summon armor_stand 0 2 0
tag @e[type=armor_stand] add scores

#> Score Reset
scoreboard players reset *

scoreboard objectives setdisplay sidebar

scoreboard objectives remove activity
scoreboard objectives remove anim1
scoreboard objectives remove colors
scoreboard objectives remove completed
scoreboard objectives remove fan
scoreboard objectives remove multiplier
scoreboard objectives remove phase
scoreboard objectives remove score
scoreboard objectives remove score_div
scoreboard objectives remove score_incr
scoreboard objectives remove source
scoreboard objectives remove tick
scoreboard objectives remove wifi

scoreboard objectives add activity dummy
scoreboard objectives add anim1 dummy
scoreboard objectives add colors dummy
scoreboard objectives add completed dummy
scoreboard objectives add fan dummy
scoreboard objectives add multiplier dummy
scoreboard objectives add phase dummy
scoreboard objectives add score dummy
scoreboard objectives add score_div dummy
scoreboard objectives add score_incr dummy
scoreboard objectives add source dummy
scoreboard objectives add tick dummy
scoreboard objectives add wifi dummy

scoreboard players set @e[tag=scores] activity 0
scoreboard players set @e[tag=scores] colors 0
scoreboard players set @e[tag=scores] completed 0
scoreboard players set @e[tag=scores] fan 1
scoreboard players set @e[tag=scores] multiplier 2
scoreboard players set @e[tag=scores] phase 0
scoreboard players set @e[tag=scores] tick -1
scoreboard players set @e[tag=scores] wifi 2

#> Player Reset
gamemode a @a
clear @a
effect @a clear

# Text Reset
titleraw @a actionbar {"rawtext":[{"text":"§f"}]}
titleraw @a title {"rawtext":[{"text":"§f"}]}
titleraw @a subtitle {"rawtext":[{"text":"§f"}]}

#> World Init
immutableworld true
gamerule sendcommandfeedback false

#> Hub Reset
teleport @e[tag=sysadmin,tag=!lobby_dummy] 27 3 32.0
teleport @e[tag=sysadmin,tag=lobby_dummy] 14 2 32.0
function harassment/terminal_off
function media_literacy/terminal_off
function plagiarism/terminal_off
function sharing/terminal_off

#> To Hub
tp @a 31 3 32.0 90 0